* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Quicksand", sans-serif;
}

/* Header Start */

.offcanvas-body a {
    font-size: 1.1rem;
}

.btn-info {
    background-color: #07ccec;
    border: none;
}

.btn-info:hover {
    background-color: #27477d;
}

.nav-link:hover {
    color: #07ccec !important;
}

/* Header End */

/* Hero Section CSS Start */

#hero-section-image {
    width: 100%;
    height: 100%;
}

#hero-section-image img {
    object-fit: contain;
}

#hero-section-buttons {
    display: flex;
    gap: 25px;
}

#hero-section-buttons button {
    padding: 10px 30px;
    border: 0;
    width: auto;
    border-radius: 10px;
    font-weight: 600;
    transition: .5s;
    color: #27477d;
    background-color: #07ccec;
}

#hero-section-buttons button:hover {
    background: #27477d;
    color: #fff;
}

#hero-section-buttons a {
    text-decoration: none;
}

#hero-section-content {
    padding: 50px;
}

/* Hero Section CSS End */

/* Search Section CSS Start */

.search-panel-heading {
    font-weight: 700;
    font-size: 3rem;
    color: #27477d;
    margin-bottom: 30px;
    text-align: center;
}

.search-btn {
    padding: 10.5px 42px;
    border: 0;
    border-radius: 10px;
    color: #27477d;
    font-weight: 600;
    transition: .5s;
    background-color: #07ccec;
}

.search-btn:hover {
    background: #27477d;
    color: #fff;
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.15);
}

.form-control,
.form-select {
    border-radius: 10px;
    padding: 8px;
    height: calc(2.05em + .75rem + 2px);
    font-size: 15px;
    border: 1px solid #ccc;
    font-family: "Poppins", Sans-Serif;
    transition: border 0.3s ease;
}

.form-control:focus {
    border-color: #2575fc;
    box-shadow: 0 0 0 0.2rem rgba(37, 117, 252, 0.25);
}

.form-textarea {
    border-radius: 10px;
    padding: 8px;
    height: calc(7.05em + .75rem + 12px);
    font-size: 15px;
    border: 1px solid #ccc;
    font-family: "Poppins", Sans-Serif;
    transition: border 0.3s ease;
    display: grid;
    width: 100%;
}

.form-control2:focus {
    border-color: #2575fc;
    box-shadow: 0 0 0 0.2rem rgba(37, 117, 252, 0.25);
}

.card {
    border: none;
    border-radius: 16px;
    background-color: #ffffff;
    box-shadow: 0 6px 24px rgba(0, 0, 0, 0.06);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 28px rgba(0, 0, 0, 0.1);
}

.card-body h5 {
    color: #27477d;
    font-size: 22px;
    font-weight: 600;
    margin-bottom: 15px;
}

.card-body p {
    font-size: 15px;
    margin-bottom: 8px;
    color: #27477d;
    font-family: "Poppins", Sans-Serif;
}

.card-body a {
    color: #3a3a3a;
    font-weight: 600;
    text-decoration: none;
    transition: color 0.2s ease;
}

.card-body a:hover {
    color: #27477d;
}

.card-body a i:hover {
    color: #27477d;
}

.fab {
    color: #3a3a3a;
    transition: color 0.3s ease;
    margin-right: 10px !important;
    font-size: 20px;
}

.form-row {
    margin-bottom: 10px;
}

/* Search Section CSS End */

/* About Us Section CSS Start */

#about-us {
    margin-top: 50px;
}

#about-us h2 {
    font-weight: 700;
    text-align: center;
    color: #27477d;
    font-size: 3rem;
}

.about-description {
    color: #888C92;
    font-size: 1.2rem;
    width: 65%;
}

#hero-section-image {
    padding: 0 3rem;
}

#hero-section-image img {
    border-radius: 35px;
    margin-top: 15px;
    margin-bottom: 15px;
}

#our-mission-benefits {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-content: center;
    height: 100%;
}

#our-mission-benefits p {
    font-size: 17px;
    margin-top: 10px;
}

#our-mission img {
    width: 97%;
    border-radius: 30px;
}

.about-points {
    margin-bottom: 10px;
    margin-top: 10px;
}

#our-mission-benefits ul li {
    list-style-type: none;
}

#our-mission-benefits ul li div p {
    padding-left: 29px;
}

/* About Us Section CSS End */

/* How It Works Section CSS Start */

#how-it-works {
    margin-top: 100px;
    background-image: url('../img/about-background.jpg');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    padding: 100px 0 100px 0;
}

#working-heading {
    text-align: center;
    padding-bottom: 2rem;
}

#working-heading h2 {
    color: #27477d;
    font-size: 3rem;
}

#working-heading p {
    font-size: 1.5rem;
    padding-top: 0.2rem;
    color: #888C92;
}

.working-area {
    display: flex;
    flex-direction: column;
    border: 1px solid #d3d3d3;
    border-radius: 10px;
    padding: 2.5rem 1.5rem;
    gap: 2.5rem;
    justify-content: center;
    align-items: center;
    background-color: transparent;
}

.icon-circle {
    padding: 25px 22px;
    border-radius: 50%;
    background-color: #d1fae5;
}

.working-content {
    text-align: center;
}

.working-content h6 {
    font-weight: 700;
    font-size: 1.2rem;
}

.working-content p {
    padding-top: 1rem;
    color: #4B5563;
}

/* How It Works Section CSS End */

/* Pricing Section CSS Start */

#pricing {
    margin-top: 100px;
}

#pricing-heading {
    text-align: center;
    padding-bottom: 1.5rem;
}

#pricing-heading h2 {
    font-size: 3rem;
    color: #27477d;
}

#pricing-heading p {
    font-weight: 500;
    font-size: 18px;
    color: #888C92;
}

.pricing-plan-detail {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px solid #e4e4e7;
    padding: 1.5rem 2rem;
    border-radius: 0.5rem;
}

.pricing-plan {
    text-align: center;
}

.pricing-plan h6 {
    font-weight: 600;
    font-size: 1.5rem;
    letter-spacing: -0.025em;
}

.pricing-plan p:nth-of-type(1) {
    font-size: 14px;
    color: #71717a;
}

.price-font {
    font-size: 2rem;
    font-weight: 700;
}

.price-time-period {
    color: #6f7782;
}

.feature-list {
    align-self: flex-start;
}

.get-started-plan {
    width: 100%;
}

.get-started-plan a {
    width: 100%;
    display: block;
}

.get-started-plan a button {
    width: 100%;
    padding: 8px 45px;
    border: 0;
    border-radius: 8px;
    font-weight: 600;
    background-color: #07ccec;
    color: #27477d;
    transition: .5s;
}

.get-started-plan a button:hover {
    background: #27477d;
    color: #fff;
}

/* Pricing Section CSS End */

/* Contact Us Section CSS Start */

#contact-us {
    margin-top: 100px;
    margin-bottom: 70px;
}

.contact-us-heading {
    text-align: center;
    padding-bottom: 2rem;
}

.contact-us-heading h2 {
    font-size: 3rem;
    color: #27477d;
}

.contact-us-heading p {
    font-size: 20px;
    color: #888C92;
}

.contact-column-heading {
    padding-top: 1rem;
    color: #27477d;
}

.address-info {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.address-row {
    display: flex;
    flex-direction: row;
    gap: 18px;
    align-items: center;
}

.address-data {
    display: flex;
    flex-direction: column;
}

.address-data span a {
    color: #888C92;
    font-size: 18px;
    transition: .5s;
    text-decoration: none;
}

.address-data span a:hover {
    color: #27477d;
    text-decoration: none;
}

.address-data span:nth-of-type(1) {
    font-weight: 700;
    color: #27477d;
    font-size: 18px;
}

#contact-form {
    border: 1px solid #e4e4e7;
    padding: 10px 2rem;
    border-radius: 5px;
}

#contact-form h3 {
    padding-top: 1rem;
    color: #27477d;
}

.contact-row {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.contact-row label {
    font-size: 14px;
    font-weight: 600;
}

#button-contact-form {
    width: 100%;
    padding: 8px 45px;
    border: 0;
    border-radius: 8px;
    font-weight: 600;
    background-color: #07ccec;
    color: #27477d;
    transition: .5s;
}

#button-contact-form:hover {
    background: #27477d;
    color: #fff;
}

/* Contact Us Section CSS End */

/* Footer CSS Start */

#footer-background {
    background-image: url('../img/footer-background.png');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    padding-top: 5rem;
    padding-bottom: 1.5rem;
    background-color: #111827;
    color: #fff;
}

.footer-description {
    line-height: 35px;
}

.widget-title {
    color: #07ccec;
    font-size: 21px;
    font-weight: 600;
}

.footer-links {
    padding-left: 0;
    padding-bottom: 20px;
}

.footer-links li {
    list-style: none;
    padding-top: 15px;
    padding-bottom: 3px;
}

.footer-links li a {
    color: #fff;
    text-decoration: none;
    transition: .5s;
}

.footer-links li a:hover {
    color: #07ccec;
}

#address-footer {
    margin-top: 20px;
    margin-bottom: 20px;
}

.social-heading {
    color: #07ccec;
    font-size: 21px;
    font-weight: 600;
    margin-bottom: 25px;
}

#social-icons-container span {
    padding-right: 10px;
}

#social-icons-container span a i {
    color: #fff;
    text-decoration: none;
    transition: .5s;
}

#social-icons-container span a i:hover {
    color: #07ccec;
}

#address-footer div {
    padding-top: 5px;
    padding-bottom: 10px;
}

#address-footer div a {
    text-decoration: none;
    color: #fff;
    transition: .5s;
}

#address-footer div a:hover {
    color: #07ccec;
}

.footer-bottom {
    padding: 15px 0 0 0;
}

.footer-bottom span a {
    color: #07ccec;
    text-decoration: none;
}

/* Footer CSS End */

@media (max-width: 768px) {
    .form-row .col-md-4,
    .form-row .col-md-3 {
        margin-bottom: 15px;
    }

    .search-panel-heading {
        font-size: 1.8rem;
    }

    .card-body h5 {
        font-size: 18px;
    }
}

/* Additional polish for input autofill */
input:-webkit-autofill {
    box-shadow: 0 0 0px 1888C92px white inset;
    transition: background-color 5888C92s ease-in-out 0s;
}

@media screen and (min-width:280px) and (max-width:850px) {
    .btn-info {
        width: 35%;
    }

    .px-5 {
        padding-right: 2rem !important;
        padding-left: 2rem !important;
    }

    #hero-section-content {
        padding: 20px;
    }

    #hero-section-content h1 {
        font-size: 26px;
    }

    #hero-section-buttons {
        flex-direction: column;
        gap: 15px;
    }

    #about-us h2 {
        font-size: 2.3rem;
    }

    #about-us p {
        font-size: 1rem;
        padding: inherit;
        width: 100%;
    }

    .working-area {
        margin-bottom: 1rem;
    }

    #pricing-heading h2 {
        font-size: 2.4rem;
    }

    .pricing-container {
        margin-bottom: 1rem;
    }

    #our-mission-benefits {
        padding-top: 1rem;
    }

    #social-icons-container {
        padding-bottom: 1rem;
    }
}